package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/6/18
 * @Description:
 *
    共享方式分类          共享方式类型
平台共享方式          接口、数据库、文件
介质交换                无
 **/
public class DicDataSharePatternType {

    public static final String INTERFACE_TYPE="接口";
    public static final String DATABASE_TYPE="数据库";
    public static final String FILE_TYPE="文件";

    private static DicDataSharePatternType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicDataSharePatternType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(INTERFACE_TYPE,INTERFACE_TYPE );
        dicMap.put(DATABASE_TYPE,DATABASE_TYPE );
        dicMap.put(FILE_TYPE,FILE_TYPE );
    }
    public static DicDataSharePatternType getInstacne(){
        if (instance == null)
        {
            instance = new DicDataSharePatternType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
